Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPNMReader Class Reference

`#include <vtkPNMReader.h>`

Inheritance diagram for vtkPNMReader:

[legend]
Collaboration diagram for vtkPNMReader:

[legend]
List of all members.

## Detailed Description

read pnm (i.e., portable anymap) files

Date:
  2002/11/12 19:44:35

Revision:
  1.22

vtkPNMReader is a source object that reads pnm (portable anymap) files. This includes .pbm (bitmap), .pgm (grayscale), and .ppm (pixmap) files. (Currently this object only reads binary versions of these files.)

PNMReader creates structured point datasets. The dimension of the dataset depends upon the number of files read. Reading a single file results in a 2D image, while reading more than one file results in a 3D volume.

To read a volume, files must be of the form "FileName.<number>" (e.g., foo.ppm.0, foo.ppm.1, ...). You must also specify the DataExtent. The fifth and sixth values of the DataExtent specify the beginning and ending files to read.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (60%)
  - Hoffman, Bill (14%)
  - Miller, Jim (11%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkPNMReader.h)`
  - .`cxx` (`/IO/vtkPNMReader.cxx)`

Tests:
  vtkPNMReader (Tests)

Definition at line 59 of file vtkPNMReader.h.

## Public Types
typedef vtkImageReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
int | CanReadFile (const char *fname)
virtual const char * | GetFileExensions ()
virtual const char * | GetDescriptiveName ()
## Static Public Methods
vtkPNMReader * | New ()
int | IsTypeOf (const char *type)
vtkPNMReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPNMReader ()
| ~vtkPNMReader ()
void | ExecuteInformation ()

## Member Typedef Documentation

typedef vtkImageReader vtkPNMReader::Superclass

| Reimplemented from vtkImageReader. Definition at line 63 of file vtkPNMReader.h.

## Constructor & Destructor Documentation

vtkPNMReader::vtkPNMReader | ( |  | ) | `[inline, protected]`

| Definition at line 84 of file vtkPNMReader.h.

vtkPNMReader::~vtkPNMReader | ( |  | ) | `[inline, protected]`

| Definition at line 85 of file vtkPNMReader.h.

## Member Function Documentation

vtkPNMReader* vtkPNMReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageReader.

virtual const char* vtkPNMReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageReader.

int vtkPNMReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader.

virtual int vtkPNMReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader.

vtkPNMReader* vtkPNMReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageReader.

virtual void vtkPNMReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageReader.

int vtkPNMReader::CanReadFile | ( | const char * | fname | ) |

virtual const char* vtkPNMReader::GetFileExensions | ( |  | ) | `[inline, virtual]`

| .pnm .pgm .ppm Reimplemented from vtkImageReader2. Definition at line 69 of file vtkPNMReader.h.

virtual const char* vtkPNMReader::GetDescriptiveName | ( |  | ) | `[inline, virtual]`

| PNM Reimplemented from vtkImageReader2. Definition at line 77 of file vtkPNMReader.h.

void vtkPNMReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader.

The documentation for this class was generated from the following file:

- IO/vtkPNMReader.h